OGRE_NATIVE_GLSL_VERSION_DIRECTIVE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
    uniform mat4 worldViewProj;
)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION)
IN(vec3 normal, NORMAL)
IN(vec3 tangent, TANGENT)
IN(vec3 uv0, TEXCOORD0)
// uniform mat4 worldViewProj;

// attribute vec4 vertex;
// attribute vec3 normal;
// attribute vec4 tangent;
// attribute vec2 uv0;

MAIN_DECLARATION
// void main()
{
    // gl_Position = mul(worldViewProj, position);
    gl_Position = worldViewProj * vertex;
}
